package cmd

import (
	"github.com/rsteube/carapace"
	"github.com/spf13/cobra"
)

var pullCmd = &cobra.Command{
	Use:     "pull [OPTIONS] NAME[:TAG|@DIGEST]",
	Short:   "Download an image from a registry",
	GroupID: "common",
	Run:     func(cmd *cobra.Command, args []string) {},
}

func init() {
	carapace.Gen(pullCmd).Standalone()

	pullCmd.Flags().BoolP("all-tags", "a", false, "Download all tagged images in the repository")
	pullCmd.Flags().Bool("disable-content-trust", true, "Skip image verification")
	pullCmd.Flags().String("platform", "", "Set platform if server is multi-platform capable")
	pullCmd.Flags().BoolP("quiet", "q", false, "Suppress verbose output")
	rootCmd.AddCommand(pullCmd)
}
