package os

import "github.com/rsteube/carapace"

// ActionLanguages completes languages
//
//	av (Avaric)
//	da (Danish)
func ActionLanguages() carapace.Action {
	return carapace.ActionValuesDescribed(
		"aa", "Afar",
		"ab", "Abkhazian",
		"ae", "Avestan",
		"af", "Afrikaans",
		"ak", "Akan",
		"am", "Amharic",
		"an", "Aragonese",
		"ar", "Arabic",
		"as", "Assamese",
		"asa", "Asu",
		"av", "Avaric",
		"ay", "Aymara",
		"az", "Azerbaijani",
		"ba", "Bashkir",
		"be", "Belarusian",
		"bem", "Bemba",
		"bez", "Bena",
		"bg", "Bulgarian",
		"bh", "Bihari languages",
		"bi", "Bislama",
		"bm", "Bambara",
		"bn", "Bengali",
		"bo", "Tibetan",
		"br", "Breton",
		"bs", "Bosnian",
		"ca", "Catalan",
		"ce", "Chechen",
		"cgg", "Chiga",
		"ch", "Chamorro",
		"chr", "Cherokee",
		"co", "Corsican",
		"cr", "Cree",
		"cs", "Czech",
		"cu", "Church Slavic: Old Slavonic, Church Slavonic, Old Bulgarian, Old Church Slavonic",
		"cv", "Chuvash",
		"cy", "Welsh",
		"da", "Danish",
		"dav", "Taita",
		"de", "German",
		"dv", "Divehi: Dhivehi, Maldivian",
		"dz", "Dzongkha",
		"ebu", "Embu",
		"ee", "Ewe",
		"el", "Greek",
		"en", "English",
		"eo", "Esperanto",
		"es", "Spanish",
		"et", "Estonian",
		"eu", "Basque",
		"fa", "Persian",
		"ff", "Fulah",
		"fi", "Finnish",
		"fil", "Filipino",
		"fj", "Fijian",
		"fo", "Faroese",
		"fr", "French",
		"fy", "Western Frisian",
		"ga", "Irish",
		"gd", "Gaelic: Scottish Gaelic",
		"gl", "Galician",
		"gn", "Guarani",
		"gsw", "Swiss German",
		"gu", "Gujarati",
		"guz", "Gusii",
		"gv", "Manx",
		"ha", "Hausa",
		"haw", "Hawaiian",
		"he", "Hebrew",
		"hi", "Hindi",
		"ho", "Hiri Motu",
		"hr", "Croatian",
		"ht", "Haitian: Haitian Creole",
		"hu", "Hungarian",
		"hy", "Armenian",
		"hz", "Herero",
		"ia", "Interlingua (International Auxiliary Language Association)",
		"id", "Indonesian",
		"ie", "Interlingue: Occidental",
		"ig", "Igbo",
		"ii", "Sichuan Yi",
		"ik", "Inupiaq",
		"io", "Ido",
		"is", "Icelandic",
		"it", "Italian",
		"iu", "Inuktitut",
		"ja", "Japanese",
		"jmc", "Machame",
		"jv", "Javanese",
		"ka", "Georgian",
		"kg", "Kongo",
		"ki", "Kikuyu",
		"kj", "Kuanyama: Kwanyama",
		"kk", "Kazakh",
		"kl", "Kalaallisut",
		"kln", "Kalenjin",
		"km", "Central Khmer",
		"kn", "Kannada",
		"ko", "Korean",
		"kok", "Konkani",
		"kr", "Kanuri",
		"ks", "Kashmiri",
		"ku", "Kurdish",
		"kv", "Komi",
		"kw", "Cornish",
		"ky", "Kirghiz: Kyrgyz",
		"la", "Latin",
		"lag", "Langi",
		"lb", "Luxembourgish: Letzeburgesch",
		"lg", "Ganda",
		"li", "Limburgan: Limburger, Limburgish",
		"ln", "Lingala",
		"lo", "Lao",
		"lt", "Lithuanian",
		"lu", "Luba-Katanga",
		"luo", "Luo",
		"luy", "Luyia",
		"lv", "Latvian",
		"mas", "Masai",
		"mer", "Meru",
		"mfe", "Morisyen",
		"mg", "Malagasy",
		"mh", "Marshallese",
		"mi", "Māori",
		"mk", "Macedonian",
		"ml", "Malayalam",
		"mn", "Mongolian",
		"mr", "Marathi",
		"ms", "Malay",
		"mt", "Maltese",
		"my", "Burmese",
		"na", "Nauru",
		"naq", "Nama",
		"nb", "Norwegian Bokmål",
		"nd", "North Ndebele",
		"ne", "Nepali",
		"ng", "Ndonga",
		"nl", "Dutch",
		"nn", "Norwegian Nynorsk",
		"no", "Norwegian",
		"nr", "South Ndebele",
		"nv", "Navajo: Navaho",
		"ny", "Chichewa: Chewa, Nyanja",
		"nyn", "Nyankole",
		"oc", "Occitan",
		"oj", "Ojibwa",
		"om", "Oromo",
		"or", "Oriya",
		"os", "Ossetian: Ossetic",
		"pa", "Punjabi",
		"pi", "Pali",
		"pl", "Polish",
		"ps", "Pashto",
		"pt", "Portuguese",
		"qu", "Quechua",
		"rm", "Romansh",
		"rn", "Rundi",
		"ro", "Romanian",
		"rof", "Rombo",
		"ru", "Russian",
		"rw", "Kinyarwanda",
		"rwk", "Rwa",
		"sa", "Sanskrit",
		"saq", "Samburu",
		"sc", "Sardinian",
		"sd", "Sindhi",
		"se", "Northern Sami",
		"seh", "Sena",
		"ses", "Koyraboro Senni",
		"sg", "Sango",
		"shi", "Tachelhit",
		"si", "Sinhala",
		"sk", "Slovak",
		"sl", "Slovenian",
		"sm", "Samoan",
		"sn", "Shona",
		"so", "Somali",
		"sq", "Albanian",
		"sr", "Serbian",
		"ss", "Swati",
		"st", "Southern Sotho",
		"su", "Sundanese",
		"sv", "Swedish",
		"sw", "Swahili",
		"ta", "Tamil",
		"te", "Telugu",
		"teo", "Teso",
		"tg", "Tajik",
		"th", "Thai",
		"ti", "Tigrinya",
		"tk", "Turkmen",
		"tl", "Tagalog",
		"tn", "Tswana",
		"to", "Tonga (Tonga Islands)",
		"tr", "Turkish",
		"ts", "Tsonga",
		"tt", "Tatar",
		"tw", "Twi",
		"ty", "Tahitian",
		"tzm", "Central Morocco Tamazight",
		"ug", "Uighur: Uyghur",
		"uk", "Ukrainian",
		"ur", "Urdu",
		"uz", "Uzbek",
		"ve", "Venda",
		"vi", "Vietnamese",
		"vo", "Volapük",
		"vun", "Vunjo",
		"wa", "Walloon",
		"wo", "Wolof",
		"xh", "Xhosa",
		"xog", "Soga",
		"yi", "Yiddish",
		"yo", "Yoruba",
		"za", "Zhuang: Chuang",
		"zh", "Chinese",
		"zu", "Zulu",
	).Tag("languages")
}
