package chroma

import "github.com/rsteube/carapace"

// ActionLexers completes lexers
//
//	"Gnuplot"
//	"Go"
func ActionLexers() carapace.Action {
	return carapace.ActionValues(
		"ABAP",
		"ABNF",
		"ActionScript",
		"ActionScript 3",
		"Ada",
		"AL",
		"Angular2",
		"ANTLR",
		"ApacheConf",
		"APL",
		"AppleScript",
		"Arduino",
		"ArmAsm",
		"Awk",
		"Ballerina",
		"Bash",
		"BashSession",
		"Batchfile",
		"BibTeX",
		"Bicep",
		"BlitzBasic",
		"BNF",
		"BQN",
		"Brainfuck",
		"C",
		"C#",
		"C++",
		"Caddyfile",
		"Caddyfile Directives",
		"Cap'n Proto",
		"Cassandra CQL",
		"Ceylon",
		"CFEngine3",
		"cfstatement",
		"ChaiScript",
		"Chapel",
		"Cheetah",
		"Clojure",
		"CMake",
		"COBOL",
		"CoffeeScript",
		"Common Lisp",
		"Common Lisp",
		"Coq",
		"Crystal",
		"CSS",
		"Cython",
		"D",
		"Dart",
		"Diff",
		"Django/Jinja",
		"dns",
		"Docker",
		"DTD",
		"Dylan",
		"EBNF",
		"Elixir",
		"Elm",
		"EmacsLisp",
		"EmacsLisp",
		"Erlang",
		"Factor",
		"Fennel",
		"Fish",
		"Forth",
		"Fortran",
		"FortranFixed",
		"FSharp",
		"GAS",
		"GDScript",
		"Genshi",
		"Genshi HTML",
		"Genshi Text",
		"Gherkin",
		"GLSL",
		"Gnuplot",
		"Go",
		"Go HTML Template",
		"Go HTML Template",
		"Go Text Template",
		"GraphQL",
		"Groff",
		"Groovy",
		"Handlebars",
		"Haskell",
		"Haxe",
		"HCL",
		"Hexdump",
		"HLB",
		"HLSL",
		"HolyC",
		"HTML",
		"HTTP",
		"Hy",
		"Idris",
		"Igor",
		"INI",
		"Io",
		"ISCdhcpd",
		"J",
		"Java",
		"JavaScript",
		"JSON",
		"Julia",
		"Jungle",
		"Kotlin",
		"Lighttpd configuration file",
		"LLVM",
		"Lua",
		"Makefile",
		"Mako",
		"markdown",
		"Mason",
		"Mathematica",
		"Matlab",
		"mcfunction",
		"Meson",
		"Metal",
		"MiniZinc",
		"MLIR",
		"Modula-2",
		"MonkeyC",
		"MorrowindScript",
		"Myghty",
		"MySQL",
		"NASM",
		"Natural",
		"Newspeak",
		"Nginx configuration file",
		"Nim",
		"Nix",
		"Objective-C",
		"OCaml",
		"Octave",
		"OnesEnterprise",
		"OpenEdge ABL",
		"OpenSCAD",
		"Org Mode",
		"PacmanConf",
		"Perl",
		"PHP",
		"PHTML",
		"Pig",
		"PkgConfig",
		"PL/pgSQL",
		"plaintext",
		"Plutus Core",
		"Pony",
		"PostgreSQL SQL dialect",
		"PostScript",
		"POVRay",
		"PowerQuery",
		"PowerShell",
		"Prolog",
		"PromQL",
		"properties",
		"Protocol Buffer",
		"PSL",
		"Puppet",
		"Python",
		"Python 2",
		"QBasic",
		"QML",
		"R",
		"Racket",
		"Ragel",
		"Raku",
		"react",
		"ReasonML",
		"reg",
		"reStructuredText",
		"Rexx",
		"Ruby",
		"Rust",
		"SAS",
		"Sass",
		"Scala",
		"Scheme",
		"Scilab",
		"SCSS",
		"Sed",
		"Sieve",
		"Smali",
		"Smalltalk",
		"Smarty",
		"Snobol",
		"Solidity",
		"SPARQL",
		"SQL",
		"SquidConf",
		"Standard ML",
		"stas",
		"Stylus",
		"Svelte",
		"Swift",
		"SYSTEMD",
		"systemverilog",
		"TableGen",
		"TASM",
		"Tcl",
		"Tcsh",
		"Termcap",
		"Terminfo",
		"Terraform",
		"TeX",
		"Thrift",
		"TOML",
		"TradingView",
		"Transact-SQL",
		"Turing",
		"Turtle",
		"Twig",
		"TypeScript",
		"TypoScript",
		"TypoScriptCssData",
		"TypoScriptHtmlData",
		"V",
		"V shell",
		"Vala",
		"VB.net",
		"verilog",
		"VHDL",
		"VHS",
		"VimL",
		"vue",
		"WDTE",
		"WebGPU Shading Language",
		"Whiley",
		"XML",
		"Xorg",
		"YAML",
		"YANG",
		"Z80 Assembly",
		"Zed",
		"Zig",
	).Tag("lexers")
}
