package gh

import "github.com/rsteube/carapace"

// ActionEmojis completes emoji names
//
//	100 (💯 hundred points)
//	1234 (🔢 input numbers)
func ActionEmojis() carapace.Action {
	//lint:file-ignore ST1018 ignore unicode emojis
	return carapace.ActionValuesDescribed(
		"grinning", "😀 grinning face",
		"smiley", "😃 grinning face with big eyes",
		"smile", "😄 grinning face with smiling eyes",
		"grin", "😁 beaming face with smiling eyes",
		"laughing", "😆 grinning squinting face",
		"sweat_smile", "😅 grinning face with sweat",
		"rofl", "🤣 rolling on the floor laughing",
		"joy", "😂 face with tears of joy",
		"slightly_smiling_face", "🙂 slightly smiling face",
		"upside_down_face", "🙃 upside-down face",
		"wink", "😉 winking face",
		"blush", "😊 smiling face with smiling eyes",
		"innocent", "😇 smiling face with halo",
		"smiling_face_with_three_hearts", "🥰 smiling face with hearts",
		"heart_eyes", "😍 smiling face with heart-eyes",
		"star_struck", "🤩 star-struck",
		"kissing_heart", "😘 face blowing a kiss",
		"kissing", "😗 kissing face",
		"relaxed", "☺️ smiling face",
		"kissing_closed_eyes", "😚 kissing face with closed eyes",
		"kissing_smiling_eyes", "😙 kissing face with smiling eyes",
		"yum", "😋 face savoring food",
		"stuck_out_tongue", "😛 face with tongue",
		"stuck_out_tongue_winking_eye", "😜 winking face with tongue",
		"zany_face", "🤪 zany face",
		"stuck_out_tongue_closed_eyes", "😝 squinting face with tongue",
		"money_mouth_face", "🤑 money-mouth face",
		"hugs", "🤗 hugging face",
		"hand_over_mouth", "🤭 face with hand over mouth",
		"shushing_face", "🤫 shushing face",
		"thinking", "🤔 thinking face",
		"zipper_mouth_face", "🤐 zipper-mouth face",
		"raised_eyebrow", "🤨 face with raised eyebrow",
		"neutral_face", "😐 neutral face",
		"expressionless", "😑 expressionless face",
		"no_mouth", "😶 face without mouth",
		"smirk", "😏 smirking face",
		"unamused", "😒 unamused face",
		"roll_eyes", "🙄 face with rolling eyes",
		"grimacing", "😬 grimacing face",
		"lying_face", "🤥 lying face",
		"relieved", "😌 relieved face",
		"pensive", "😔 pensive face",
		"sleepy", "😪 sleepy face",
		"drooling_face", "🤤 drooling face",
		"sleeping", "😴 sleeping face",
		"mask", "😷 face with medical mask",
		"face_with_thermometer", "🤒 face with thermometer",
		"face_with_head_bandage", "🤕 face with head-bandage",
		"nauseated_face", "🤢 nauseated face",
		"vomiting_face", "🤮 face vomiting",
		"sneezing_face", "🤧 sneezing face",
		"hot_face", "🥵 hot face",
		"cold_face", "🥶 cold face",
		"woozy_face", "🥴 woozy face",
		"dizzy_face", "😵 dizzy face",
		"exploding_head", "🤯 exploding head",
		"cowboy_hat_face", "🤠 cowboy hat face",
		"partying_face", "🥳 partying face",
		"sunglasses", "😎 smiling face with sunglasses",
		"nerd_face", "🤓 nerd face",
		"monocle_face", "🧐 face with monocle",
		"confused", "😕 confused face",
		"worried", "😟 worried face",
		"slightly_frowning_face", "🙁 slightly frowning face",
		"frowning_face", "☹️ frowning face",
		"open_mouth", "😮 face with open mouth",
		"hushed", "😯 hushed face",
		"astonished", "😲 astonished face",
		"flushed", "😳 flushed face",
		"pleading_face", "🥺 pleading face",
		"frowning", "😦 frowning face with open mouth",
		"anguished", "😧 anguished face",
		"fearful", "😨 fearful face",
		"cold_sweat", "😰 anxious face with sweat",
		"disappointed_relieved", "😥 sad but relieved face",
		"cry", "😢 crying face",
		"sob", "😭 loudly crying face",
		"scream", "😱 face screaming in fear",
		"confounded", "😖 confounded face",
		"persevere", "😣 persevering face",
		"disappointed", "😞 disappointed face",
		"sweat", "😓 downcast face with sweat",
		"weary", "😩 weary face",
		"tired_face", "😫 tired face",
		"yawning_face", "🥱 yawning face",
		"triumph", "😤 face with steam from nose",
		"rage", "😡 pouting face",
		"angry", "😠 angry face",
		"cursing_face", "🤬 face with symbols on mouth",
		"smiling_imp", "😈 smiling face with horns",
		"imp", "👿 angry face with horns",
		"skull", "💀 skull",
		"skull_and_crossbones", "☠️ skull and crossbones",
		"hankey", "💩 pile of poo",
		"clown_face", "🤡 clown face",
		"japanese_ogre", "👹 ogre",
		"japanese_goblin", "👺 goblin",
		"ghost", "👻 ghost",
		"alien", "👽 alien",
		"space_invader", "👾 alien monster",
		"robot", "🤖 robot",
		"smiley_cat", "😺 grinning cat",
		"smile_cat", "😸 grinning cat with smiling eyes",
		"joy_cat", "😹 cat with tears of joy",
		"heart_eyes_cat", "😻 smiling cat with heart-eyes",
		"smirk_cat", "😼 cat with wry smile",
		"kissing_cat", "😽 kissing cat",
		"scream_cat", "🙀 weary cat",
		"crying_cat_face", "😿 crying cat",
		"pouting_cat", "😾 pouting cat",
		"see_no_evil", "🙈 see-no-evil monkey",
		"hear_no_evil", "🙉 hear-no-evil monkey",
		"speak_no_evil", "🙊 speak-no-evil monkey",
		"kiss", "💋 kiss mark",
		"love_letter", "💌 love letter",
		"cupid", "💘 heart with arrow",
		"gift_heart", "💝 heart with ribbon",
		"sparkling_heart", "💖 sparkling heart",
		"heartpulse", "💗 growing heart",
		"heartbeat", "💓 beating heart",
		"revolving_hearts", "💞 revolving hearts",
		"two_hearts", "💕 two hearts",
		"heart_decoration", "💟 heart decoration",
		"heavy_heart_exclamation", "❣️ heart exclamation",
		"broken_heart", "💔 broken heart",
		"heart", "❤️ red heart",
		"orange_heart", "🧡 orange heart",
		"yellow_heart", "💛 yellow heart",
		"green_heart", "💚 green heart",
		"blue_heart", "💙 blue heart",
		"purple_heart", "💜 purple heart",
		"brown_heart", "🤎 brown heart",
		"black_heart", "🖤 black heart",
		"white_heart", "🤍 white heart",
		"100", "💯 hundred points",
		"anger", "💢 anger symbol",
		"boom", "💥 collision",
		"dizzy", "💫 dizzy",
		"sweat_drops", "💦 sweat droplets",
		"dash", "💨 dashing away",
		"hole", "🕳️ hole",
		"bomb", "💣 bomb",
		"speech_balloon", "💬 speech balloon",
		"eye_speech_bubble", "👁️‍🗨️ eye in speech bubble",
		"left_speech_bubble", "🗨️ left speech bubble",
		"right_anger_bubble", "🗯️ right anger bubble",
		"thought_balloon", "💭 thought balloon",
		"zzz", "💤 zzz",
		"wave", "👋 waving hand",
		"raised_back_of_hand", "🤚 raised back of hand",
		"raised_hand_with_fingers_splayed", "🖐️ hand with fingers splayed",
		"hand", "✋ raised hand",
		"vulcan_salute", "🖖 vulcan salute",
		"ok_hand", "👌 OK hand",
		"pinching_hand", "🤏 pinching hand",
		"v", "✌️ victory hand",
		"crossed_fingers", "🤞 crossed fingers",
		"love_you_gesture", "🤟 love-you gesture",
		"metal", "🤘 sign of the horns",
		"call_me_hand", "🤙 call me hand",
		"point_left", "👈 backhand index pointing left",
		"point_right", "👉 backhand index pointing right",
		"point_up_2", "👆 backhand index pointing up",
		"middle_finger", "🖕 middle finger",
		"point_down", "👇 backhand index pointing down",
		"point_up", "☝️ index pointing up",
		"+1", "👍 thumbs up",
		"-1", "👎 thumbs down",
		"fist_raised", "✊ raised fist",
		"fist_oncoming", "👊 oncoming fist",
		"fist_left", "🤛 left-facing fist",
		"fist_right", "🤜 right-facing fist",
		"clap", "👏 clapping hands",
		"raised_hands", "🙌 raising hands",
		"open_hands", "👐 open hands",
		"palms_up_together", "🤲 palms up together",
		"handshake", "🤝 handshake",
		"pray", "🙏 folded hands",
		"writing_hand", "✍️ writing hand",
		"nail_care", "💅 nail polish",
		"selfie", "🤳 selfie",
		"muscle", "💪 flexed biceps",
		"mechanical_arm", "🦾 mechanical arm",
		"mechanical_leg", "🦿 mechanical leg",
		"leg", "🦵 leg",
		"foot", "🦶 foot",
		"ear", "👂 ear",
		"ear_with_hearing_aid", "🦻 ear with hearing aid",
		"nose", "👃 nose",
		"brain", "🧠 brain",
		"tooth", "🦷 tooth",
		"bone", "🦴 bone",
		"eyes", "👀 eyes",
		"eye", "👁️ eye",
		"tongue", "👅 tongue",
		"lips", "👄 mouth",
		"baby", "👶 baby",
		"child", "🧒 child",
		"boy", "👦 boy",
		"girl", "👧 girl",
		"adult", "🧑 person",
		"blond_haired_person", "👱 person: blond hair",
		"man", "👨 man",
		"bearded_person", "🧔 man: beard",
		"red_haired_man", "👨‍🦰 man: red hair",
		"curly_haired_man", "👨‍🦱 man: curly hair",
		"white_haired_man", "👨‍🦳 man: white hair",
		"bald_man", "👨‍🦲 man: bald",
		"woman", "👩 woman",
		"red_haired_woman", "👩‍🦰 woman: red hair",
		"person_red_hair", "🧑‍🦰 person: red hair",
		"curly_haired_woman", "👩‍🦱 woman: curly hair",
		"person_curly_hair", "🧑‍🦱 person: curly hair",
		"white_haired_woman", "👩‍🦳 woman: white hair",
		"person_white_hair", "🧑‍🦳 person: white hair",
		"bald_woman", "👩‍🦲 woman: bald",
		"person_bald", "🧑‍🦲 person: bald",
		"blond_haired_woman", "👱‍♀️ woman: blond hair",
		"blond_haired_man", "👱‍♂️ man: blond hair",
		"older_adult", "🧓 older person",
		"older_man", "👴 old man",
		"older_woman", "👵 old woman",
		"frowning_person", "🙍 person frowning",
		"frowning_man", "🙍‍♂️ man frowning",
		"frowning_woman", "🙍‍♀️ woman frowning",
		"pouting_face", "🙎 person pouting",
		"pouting_man", "🙎‍♂️ man pouting",
		"pouting_woman", "🙎‍♀️ woman pouting",
		"no_good", "🙅 person gesturing NO",
		"no_good_man", "🙅‍♂️ man gesturing NO",
		"no_good_woman", "🙅‍♀️ woman gesturing NO",
		"ok_person", "🙆 person gesturing OK",
		"ok_man", "🙆‍♂️ man gesturing OK",
		"ok_woman", "🙆‍♀️ woman gesturing OK",
		"tipping_hand_person", "💁 person tipping hand",
		"tipping_hand_man", "💁‍♂️ man tipping hand",
		"tipping_hand_woman", "💁‍♀️ woman tipping hand",
		"raising_hand", "🙋 person raising hand",
		"raising_hand_man", "🙋‍♂️ man raising hand",
		"raising_hand_woman", "🙋‍♀️ woman raising hand",
		"deaf_person", "🧏 deaf person",
		"deaf_man", "🧏‍♂️ deaf man",
		"deaf_woman", "🧏‍♀️ deaf woman",
		"bow", "🙇 person bowing",
		"bowing_man", "🙇‍♂️ man bowing",
		"bowing_woman", "🙇‍♀️ woman bowing",
		"facepalm", "🤦 person facepalming",
		"man_facepalming", "🤦‍♂️ man facepalming",
		"woman_facepalming", "🤦‍♀️ woman facepalming",
		"shrug", "🤷 person shrugging",
		"man_shrugging", "🤷‍♂️ man shrugging",
		"woman_shrugging", "🤷‍♀️ woman shrugging",
		"health_worker", "🧑‍⚕️ health worker",
		"man_health_worker", "👨‍⚕️ man health worker",
		"woman_health_worker", "👩‍⚕️ woman health worker",
		"student", "🧑‍🎓 student",
		"man_student", "👨‍🎓 man student",
		"woman_student", "👩‍🎓 woman student",
		"teacher", "🧑‍🏫 teacher",
		"man_teacher", "👨‍🏫 man teacher",
		"woman_teacher", "👩‍🏫 woman teacher",
		"judge", "🧑‍⚖️ judge",
		"man_judge", "👨‍⚖️ man judge",
		"woman_judge", "👩‍⚖️ woman judge",
		"farmer", "🧑‍🌾 farmer",
		"man_farmer", "👨‍🌾 man farmer",
		"woman_farmer", "👩‍🌾 woman farmer",
		"cook", "🧑‍🍳 cook",
		"man_cook", "👨‍🍳 man cook",
		"woman_cook", "👩‍🍳 woman cook",
		"mechanic", "🧑‍🔧 mechanic",
		"man_mechanic", "👨‍🔧 man mechanic",
		"woman_mechanic", "👩‍🔧 woman mechanic",
		"factory_worker", "🧑‍🏭 factory worker",
		"man_factory_worker", "👨‍🏭 man factory worker",
		"woman_factory_worker", "👩‍🏭 woman factory worker",
		"office_worker", "🧑‍💼 office worker",
		"man_office_worker", "👨‍💼 man office worker",
		"woman_office_worker", "👩‍💼 woman office worker",
		"scientist", "🧑‍🔬 scientist",
		"man_scientist", "👨‍🔬 man scientist",
		"woman_scientist", "👩‍🔬 woman scientist",
		"technologist", "🧑‍💻 technologist",
		"man_technologist", "👨‍💻 man technologist",
		"woman_technologist", "👩‍💻 woman technologist",
		"singer", "🧑‍🎤 singer",
		"man_singer", "👨‍🎤 man singer",
		"woman_singer", "👩‍🎤 woman singer",
		"artist", "🧑‍🎨 artist",
		"man_artist", "👨‍🎨 man artist",
		"woman_artist", "👩‍🎨 woman artist",
		"pilot", "🧑‍✈️ pilot",
		"man_pilot", "👨‍✈️ man pilot",
		"woman_pilot", "👩‍✈️ woman pilot",
		"astronaut", "🧑‍🚀 astronaut",
		"man_astronaut", "👨‍🚀 man astronaut",
		"woman_astronaut", "👩‍🚀 woman astronaut",
		"firefighter", "🧑‍🚒 firefighter",
		"man_firefighter", "👨‍🚒 man firefighter",
		"woman_firefighter", "👩‍🚒 woman firefighter",
		"police_officer", "👮 police officer",
		"policeman", "👮‍♂️ man police officer",
		"policewoman", "👮‍♀️ woman police officer",
		"detective", "🕵️ detective",
		"male_detective", "🕵️‍♂️ man detective",
		"female_detective", "🕵️‍♀️ woman detective",
		"guard", "💂 guard",
		"guardsman", "💂‍♂️ man guard",
		"guardswoman", "💂‍♀️ woman guard",
		"construction_worker", "👷 construction worker",
		"construction_worker_man", "👷‍♂️ man construction worker",
		"construction_worker_woman", "👷‍♀️ woman construction worker",
		"prince", "🤴 prince",
		"princess", "👸 princess",
		"person_with_turban", "👳 person wearing turban",
		"man_with_turban", "👳‍♂️ man wearing turban",
		"woman_with_turban", "👳‍♀️ woman wearing turban",
		"man_with_gua_pi_mao", "👲 person with skullcap",
		"woman_with_headscarf", "🧕 woman with headscarf",
		"man_in_tuxedo", "🤵‍♂️ man in tuxedo",
		"bride_with_veil", "👰‍♀️ woman with veil",
		"pregnant_woman", "🤰 pregnant woman",
		"breast_feeding", "🤱 breast-feeding",
		"angel", "👼 baby angel",
		"santa", "🎅 Santa Claus",
		"mrs_claus", "🤶 Mrs. Claus",
		"superhero", "🦸 superhero",
		"superhero_man", "🦸‍♂️ man superhero",
		"superhero_woman", "🦸‍♀️ woman superhero",
		"supervillain", "🦹 supervillain",
		"supervillain_man", "🦹‍♂️ man supervillain",
		"supervillain_woman", "🦹‍♀️ woman supervillain",
		"mage", "🧙 mage",
		"mage_man", "🧙‍♂️ man mage",
		"mage_woman", "🧙‍♀️ woman mage",
		"fairy", "🧚 fairy",
		"fairy_man", "🧚‍♂️ man fairy",
		"fairy_woman", "🧚‍♀️ woman fairy",
		"vampire", "🧛 vampire",
		"vampire_man", "🧛‍♂️ man vampire",
		"vampire_woman", "🧛‍♀️ woman vampire",
		"merperson", "🧜 merperson",
		"merman", "🧜‍♂️ merman",
		"mermaid", "🧜‍♀️ mermaid",
		"elf", "🧝 elf",
		"elf_man", "🧝‍♂️ man elf",
		"elf_woman", "🧝‍♀️ woman elf",
		"genie", "🧞 genie",
		"genie_man", "🧞‍♂️ man genie",
		"genie_woman", "🧞‍♀️ woman genie",
		"zombie", "🧟 zombie",
		"zombie_man", "🧟‍♂️ man zombie",
		"zombie_woman", "🧟‍♀️ woman zombie",
		"massage", "💆 person getting massage",
		"massage_man", "💆‍♂️ man getting massage",
		"massage_woman", "💆‍♀️ woman getting massage",
		"haircut", "💇 person getting haircut",
		"haircut_man", "💇‍♂️ man getting haircut",
		"haircut_woman", "💇‍♀️ woman getting haircut",
		"walking", "🚶 person walking",
		"walking_man", "🚶‍♂️ man walking",
		"walking_woman", "🚶‍♀️ woman walking",
		"standing_person", "🧍 person standing",
		"standing_man", "🧍‍♂️ man standing",
		"standing_woman", "🧍‍♀️ woman standing",
		"kneeling_person", "🧎 person kneeling",
		"kneeling_man", "🧎‍♂️ man kneeling",
		"kneeling_woman", "🧎‍♀️ woman kneeling",
		"person_with_probing_cane", "🧑‍🦯 person with white cane",
		"man_with_probing_cane", "👨‍🦯 man with white cane",
		"woman_with_probing_cane", "👩‍🦯 woman with white cane",
		"person_in_motorized_wheelchair", "🧑‍🦼 person in motorized wheelchair",
		"man_in_motorized_wheelchair", "👨‍🦼 man in motorized wheelchair",
		"woman_in_motorized_wheelchair", "👩‍🦼 woman in motorized wheelchair",
		"person_in_manual_wheelchair", "🧑‍🦽 person in manual wheelchair",
		"man_in_manual_wheelchair", "👨‍🦽 man in manual wheelchair",
		"woman_in_manual_wheelchair", "👩‍🦽 woman in manual wheelchair",
		"runner", "🏃 person running",
		"running_man", "🏃‍♂️ man running",
		"running_woman", "🏃‍♀️ woman running",
		"woman_dancing", "💃 woman dancing",
		"man_dancing", "🕺 man dancing",
		"business_suit_levitating", "🕴️ person in suit levitating",
		"dancers", "👯 people with bunny ears",
		"dancing_men", "👯‍♂️ men with bunny ears",
		"dancing_women", "👯‍♀️ women with bunny ears",
		"sauna_person", "🧖 person in steamy room",
		"sauna_man", "🧖‍♂️ man in steamy room",
		"sauna_woman", "🧖‍♀️ woman in steamy room",
		"climbing", "🧗 person climbing",
		"climbing_man", "🧗‍♂️ man climbing",
		"climbing_woman", "🧗‍♀️ woman climbing",
		"person_fencing", "🤺 person fencing",
		"horse_racing", "🏇 horse racing",
		"skier", "⛷️ skier",
		"snowboarder", "🏂 snowboarder",
		"golfing", "🏌️ person golfing",
		"golfing_man", "🏌️‍♂️ man golfing",
		"golfing_woman", "🏌️‍♀️ woman golfing",
		"surfer", "🏄 person surfing",
		"surfing_man", "🏄‍♂️ man surfing",
		"surfing_woman", "🏄‍♀️ woman surfing",
		"rowboat", "🚣 person rowing boat",
		"rowing_man", "🚣‍♂️ man rowing boat",
		"rowing_woman", "🚣‍♀️ woman rowing boat",
		"swimmer", "🏊 person swimming",
		"swimming_man", "🏊‍♂️ man swimming",
		"swimming_woman", "🏊‍♀️ woman swimming",
		"bouncing_ball_person", "⛹️ person bouncing ball",
		"bouncing_ball_man", "⛹️‍♂️ man bouncing ball",
		"bouncing_ball_woman", "⛹️‍♀️ woman bouncing ball",
		"weight_lifting", "🏋️ person lifting weights",
		"weight_lifting_man", "🏋️‍♂️ man lifting weights",
		"weight_lifting_woman", "🏋️‍♀️ woman lifting weights",
		"bicyclist", "🚴 person biking",
		"biking_man", "🚴‍♂️ man biking",
		"biking_woman", "🚴‍♀️ woman biking",
		"mountain_bicyclist", "🚵 person mountain biking",
		"mountain_biking_man", "🚵‍♂️ man mountain biking",
		"mountain_biking_woman", "🚵‍♀️ woman mountain biking",
		"cartwheeling", "🤸 person cartwheeling",
		"man_cartwheeling", "🤸‍♂️ man cartwheeling",
		"woman_cartwheeling", "🤸‍♀️ woman cartwheeling",
		"wrestling", "🤼 people wrestling",
		"men_wrestling", "🤼‍♂️ men wrestling",
		"women_wrestling", "🤼‍♀️ women wrestling",
		"water_polo", "🤽 person playing water polo",
		"man_playing_water_polo", "🤽‍♂️ man playing water polo",
		"woman_playing_water_polo", "🤽‍♀️ woman playing water polo",
		"handball_person", "🤾 person playing handball",
		"man_playing_handball", "🤾‍♂️ man playing handball",
		"woman_playing_handball", "🤾‍♀️ woman playing handball",
		"juggling_person", "🤹 person juggling",
		"man_juggling", "🤹‍♂️ man juggling",
		"woman_juggling", "🤹‍♀️ woman juggling",
		"lotus_position", "🧘 person in lotus position",
		"lotus_position_man", "🧘‍♂️ man in lotus position",
		"lotus_position_woman", "🧘‍♀️ woman in lotus position",
		"bath", "🛀 person taking bath",
		"sleeping_bed", "🛌 person in bed",
		"people_holding_hands", "🧑‍🤝‍🧑 people holding hands",
		"two_women_holding_hands", "👭 women holding hands",
		"couple", "👫 woman and man holding hands",
		"two_men_holding_hands", "👬 men holding hands",
		"couplekiss", "💏 kiss",
		"couplekiss_man_woman", "👩‍❤️‍💋‍👨 kiss: woman, man",
		"couplekiss_man_man", "👨‍❤️‍💋‍👨 kiss: man, man",
		"couplekiss_woman_woman", "👩‍❤️‍💋‍👩 kiss: woman, woman",
		"couple_with_heart", "💑 couple with heart",
		"couple_with_heart_woman_man", "👩‍❤️‍👨 couple with heart: woman, man",
		"couple_with_heart_man_man", "👨‍❤️‍👨 couple with heart: man, man",
		"couple_with_heart_woman_woman", "👩‍❤️‍👩 couple with heart: woman, woman",
		"family", "👪 family",
		"family_man_woman_boy", "👨‍👩‍👦 family: man, woman, boy",
		"family_man_woman_girl", "👨‍👩‍👧 family: man, woman, girl",
		"family_man_woman_girl_boy", "👨‍👩‍👧‍👦 family: man, woman, girl, boy",
		"family_man_woman_boy_boy", "👨‍👩‍👦‍👦 family: man, woman, boy, boy",
		"family_man_woman_girl_girl", "👨‍👩‍👧‍👧 family: man, woman, girl, girl",
		"family_man_man_boy", "👨‍👨‍👦 family: man, man, boy",
		"family_man_man_girl", "👨‍👨‍👧 family: man, man, girl",
		"family_man_man_girl_boy", "👨‍👨‍👧‍👦 family: man, man, girl, boy",
		"family_man_man_boy_boy", "👨‍👨‍👦‍👦 family: man, man, boy, boy",
		"family_man_man_girl_girl", "👨‍👨‍👧‍👧 family: man, man, girl, girl",
		"family_woman_woman_boy", "👩‍👩‍👦 family: woman, woman, boy",
		"family_woman_woman_girl", "👩‍👩‍👧 family: woman, woman, girl",
		"family_woman_woman_girl_boy", "👩‍👩‍👧‍👦 family: woman, woman, girl, boy",
		"family_woman_woman_boy_boy", "👩‍👩‍👦‍👦 family: woman, woman, boy, boy",
		"family_woman_woman_girl_girl", "👩‍👩‍👧‍👧 family: woman, woman, girl, girl",
		"family_man_boy", "👨‍👦 family: man, boy",
		"family_man_boy_boy", "👨‍👦‍👦 family: man, boy, boy",
		"family_man_girl", "👨‍👧 family: man, girl",
		"family_man_girl_boy", "👨‍👧‍👦 family: man, girl, boy",
		"family_man_girl_girl", "👨‍👧‍👧 family: man, girl, girl",
		"family_woman_boy", "👩‍👦 family: woman, boy",
		"family_woman_boy_boy", "👩‍👦‍👦 family: woman, boy, boy",
		"family_woman_girl", "👩‍👧 family: woman, girl",
		"family_woman_girl_boy", "👩‍👧‍👦 family: woman, girl, boy",
		"family_woman_girl_girl", "👩‍👧‍👧 family: woman, girl, girl",
		"speaking_head", "🗣️ speaking head",
		"bust_in_silhouette", "👤 bust in silhouette",
		"busts_in_silhouette", "👥 busts in silhouette",
		"footprints", "👣 footprints",
		"monkey_face", "🐵 monkey face",
		"monkey", "🐒 monkey",
		"gorilla", "🦍 gorilla",
		"orangutan", "🦧 orangutan",
		"dog", "🐶 dog face",
		"dog2", "🐕 dog",
		"guide_dog", "🦮 guide dog",
		"service_dog", "🐕‍🦺 service dog",
		"poodle", "🐩 poodle",
		"wolf", "🐺 wolf",
		"fox_face", "🦊 fox",
		"raccoon", "🦝 raccoon",
		"cat", "🐱 cat face",
		"cat2", "🐈 cat",
		"lion", "🦁 lion",
		"tiger", "🐯 tiger face",
		"tiger2", "🐅 tiger",
		"leopard", "🐆 leopard",
		"horse", "🐴 horse face",
		"racehorse", "🐎 horse",
		"unicorn", "🦄 unicorn",
		"zebra", "🦓 zebra",
		"deer", "🦌 deer",
		"cow", "🐮 cow face",
		"ox", "🐂 ox",
		"water_buffalo", "🐃 water buffalo",
		"cow2", "🐄 cow",
		"pig", "🐷 pig face",
		"pig2", "🐖 pig",
		"boar", "🐗 boar",
		"pig_nose", "🐽 pig nose",
		"ram", "🐏 ram",
		"sheep", "🐑 ewe",
		"goat", "🐐 goat",
		"dromedary_camel", "🐪 camel",
		"camel", "🐫 two-hump camel",
		"llama", "🦙 llama",
		"giraffe", "🦒 giraffe",
		"elephant", "🐘 elephant",
		"rhinoceros", "🦏 rhinoceros",
		"hippopotamus", "🦛 hippopotamus",
		"mouse", "🐭 mouse face",
		"mouse2", "🐁 mouse",
		"rat", "🐀 rat",
		"hamster", "🐹 hamster",
		"rabbit", "🐰 rabbit face",
		"rabbit2", "🐇 rabbit",
		"chipmunk", "🐿️ chipmunk",
		"hedgehog", "🦔 hedgehog",
		"bat", "🦇 bat",
		"bear", "🐻 bear",
		"koala", "🐨 koala",
		"panda_face", "🐼 panda",
		"sloth", "🦥 sloth",
		"otter", "🦦 otter",
		"skunk", "🦨 skunk",
		"kangaroo", "🦘 kangaroo",
		"badger", "🦡 badger",
		"feet", "🐾 paw prints",
		"turkey", "🦃 turkey",
		"chicken", "🐔 chicken",
		"rooster", "🐓 rooster",
		"hatching_chick", "🐣 hatching chick",
		"baby_chick", "🐤 baby chick",
		"hatched_chick", "🐥 front-facing baby chick",
		"bird", "🐦 bird",
		"penguin", "🐧 penguin",
		"dove", "🕊️ dove",
		"eagle", "🦅 eagle",
		"duck", "🦆 duck",
		"swan", "🦢 swan",
		"owl", "🦉 owl",
		"flamingo", "🦩 flamingo",
		"peacock", "🦚 peacock",
		"parrot", "🦜 parrot",
		"frog", "🐸 frog",
		"crocodile", "🐊 crocodile",
		"turtle", "🐢 turtle",
		"lizard", "🦎 lizard",
		"snake", "🐍 snake",
		"dragon_face", "🐲 dragon face",
		"dragon", "🐉 dragon",
		"sauropod", "🦕 sauropod",
		"t-rex", "🦖 T-Rex",
		"whale", "🐳 spouting whale",
		"whale2", "🐋 whale",
		"dolphin", "🐬 dolphin",
		"fish", "🐟 fish",
		"tropical_fish", "🐠 tropical fish",
		"blowfish", "🐡 blowfish",
		"shark", "🦈 shark",
		"octopus", "🐙 octopus",
		"shell", "🐚 spiral shell",
		"snail", "🐌 snail",
		"butterfly", "🦋 butterfly",
		"bug", "🐛 bug",
		"ant", "🐜 ant",
		"bee", "🐝 honeybee",
		"beetle", "🪲 beetle",
		"cricket", "🦗 cricket",
		"spider", "🕷️ spider",
		"spider_web", "🕸️ spider web",
		"scorpion", "🦂 scorpion",
		"mosquito", "🦟 mosquito",
		"microbe", "🦠 microbe",
		"bouquet", "💐 bouquet",
		"cherry_blossom", "🌸 cherry blossom",
		"white_flower", "💮 white flower",
		"rosette", "🏵️ rosette",
		"rose", "🌹 rose",
		"wilted_flower", "🥀 wilted flower",
		"hibiscus", "🌺 hibiscus",
		"sunflower", "🌻 sunflower",
		"blossom", "🌼 blossom",
		"tulip", "🌷 tulip",
		"seedling", "🌱 seedling",
		"evergreen_tree", "🌲 evergreen tree",
		"deciduous_tree", "🌳 deciduous tree",
		"palm_tree", "🌴 palm tree",
		"cactus", "🌵 cactus",
		"ear_of_rice", "🌾 sheaf of rice",
		"herb", "🌿 herb",
		"shamrock", "☘️ shamrock",
		"four_leaf_clover", "🍀 four leaf clover",
		"maple_leaf", "🍁 maple leaf",
		"fallen_leaf", "🍂 fallen leaf",
		"leaves", "🍃 leaf fluttering in wind",
		"grapes", "🍇 grapes",
		"melon", "🍈 melon",
		"watermelon", "🍉 watermelon",
		"tangerine", "🍊 tangerine",
		"lemon", "🍋 lemon",
		"banana", "🍌 banana",
		"pineapple", "🍍 pineapple",
		"mango", "🥭 mango",
		"apple", "🍎 red apple",
		"green_apple", "🍏 green apple",
		"pear", "🍐 pear",
		"peach", "🍑 peach",
		"cherries", "🍒 cherries",
		"strawberry", "🍓 strawberry",
		"kiwi_fruit", "🥝 kiwi fruit",
		"tomato", "🍅 tomato",
		"coconut", "🥥 coconut",
		"avocado", "🥑 avocado",
		"eggplant", "🍆 eggplant",
		"potato", "🥔 potato",
		"carrot", "🥕 carrot",
		"corn", "🌽 ear of corn",
		"hot_pepper", "🌶️ hot pepper",
		"cucumber", "🥒 cucumber",
		"leafy_green", "🥬 leafy green",
		"broccoli", "🥦 broccoli",
		"garlic", "🧄 garlic",
		"onion", "🧅 onion",
		"mushroom", "🍄 mushroom",
		"peanuts", "🥜 peanuts",
		"chestnut", "🌰 chestnut",
		"bread", "🍞 bread",
		"croissant", "🥐 croissant",
		"baguette_bread", "🥖 baguette bread",
		"pretzel", "🥨 pretzel",
		"bagel", "🥯 bagel",
		"pancakes", "🥞 pancakes",
		"waffle", "🧇 waffle",
		"cheese", "🧀 cheese wedge",
		"meat_on_bone", "🍖 meat on bone",
		"poultry_leg", "🍗 poultry leg",
		"cut_of_meat", "🥩 cut of meat",
		"bacon", "🥓 bacon",
		"hamburger", "🍔 hamburger",
		"fries", "🍟 french fries",
		"pizza", "🍕 pizza",
		"hotdog", "🌭 hot dog",
		"sandwich", "🥪 sandwich",
		"taco", "🌮 taco",
		"burrito", "🌯 burrito",
		"stuffed_flatbread", "🥙 stuffed flatbread",
		"falafel", "🧆 falafel",
		"egg", "🥚 egg",
		"fried_egg", "🍳 cooking",
		"shallow_pan_of_food", "🥘 shallow pan of food",
		"stew", "🍲 pot of food",
		"bowl_with_spoon", "🥣 bowl with spoon",
		"green_salad", "🥗 green salad",
		"popcorn", "🍿 popcorn",
		"butter", "🧈 butter",
		"salt", "🧂 salt",
		"canned_food", "🥫 canned food",
		"bento", "🍱 bento box",
		"rice_cracker", "🍘 rice cracker",
		"rice_ball", "🍙 rice ball",
		"rice", "🍚 cooked rice",
		"curry", "🍛 curry rice",
		"ramen", "🍜 steaming bowl",
		"spaghetti", "🍝 spaghetti",
		"sweet_potato", "🍠 roasted sweet potato",
		"oden", "🍢 oden",
		"sushi", "🍣 sushi",
		"fried_shrimp", "🍤 fried shrimp",
		"fish_cake", "🍥 fish cake with swirl",
		"moon_cake", "🥮 moon cake",
		"dango", "🍡 dango",
		"dumpling", "🥟 dumpling",
		"fortune_cookie", "🥠 fortune cookie",
		"takeout_box", "🥡 takeout box",
		"crab", "🦀 crab",
		"lobster", "🦞 lobster",
		"shrimp", "🦐 shrimp",
		"squid", "🦑 squid",
		"oyster", "🦪 oyster",
		"icecream", "🍦 soft ice cream",
		"shaved_ice", "🍧 shaved ice",
		"ice_cream", "🍨 ice cream",
		"doughnut", "🍩 doughnut",
		"cookie", "🍪 cookie",
		"birthday", "🎂 birthday cake",
		"cake", "🍰 shortcake",
		"cupcake", "🧁 cupcake",
		"pie", "🥧 pie",
		"chocolate_bar", "🍫 chocolate bar",
		"candy", "🍬 candy",
		"lollipop", "🍭 lollipop",
		"custard", "🍮 custard",
		"honey_pot", "🍯 honey pot",
		"baby_bottle", "🍼 baby bottle",
		"milk_glass", "🥛 glass of milk",
		"coffee", "☕ hot beverage",
		"tea", "🍵 teacup without handle",
		"sake", "🍶 sake",
		"champagne", "🍾 bottle with popping cork",
		"wine_glass", "🍷 wine glass",
		"cocktail", "🍸 cocktail glass",
		"tropical_drink", "🍹 tropical drink",
		"beer", "🍺 beer mug",
		"beers", "🍻 clinking beer mugs",
		"clinking_glasses", "🥂 clinking glasses",
		"tumbler_glass", "🥃 tumbler glass",
		"cup_with_straw", "🥤 cup with straw",
		"beverage_box", "🧃 beverage box",
		"mate", "🧉 mate",
		"ice_cube", "🧊 ice",
		"chopsticks", "🥢 chopsticks",
		"plate_with_cutlery", "🍽️ fork and knife with plate",
		"fork_and_knife", "🍴 fork and knife",
		"spoon", "🥄 spoon",
		"hocho", "🔪 kitchen knife",
		"amphora", "🏺 amphora",
		"earth_africa", "🌍 globe showing Europe-Africa",
		"earth_americas", "🌎 globe showing Americas",
		"earth_asia", "🌏 globe showing Asia-Australia",
		"globe_with_meridians", "🌐 globe with meridians",
		"world_map", "🗺️ world map",
		"japan", "🗾 map of Japan",
		"compass", "🧭 compass",
		"mountain_snow", "🏔️ snow-capped mountain",
		"mountain", "⛰️ mountain",
		"volcano", "🌋 volcano",
		"mount_fuji", "🗻 mount fuji",
		"camping", "🏕️ camping",
		"beach_umbrella", "🏖️ beach with umbrella",
		"desert", "🏜️ desert",
		"desert_island", "🏝️ desert island",
		"national_park", "🏞️ national park",
		"stadium", "🏟️ stadium",
		"classical_building", "🏛️ classical building",
		"building_construction", "🏗️ building construction",
		"bricks", "🧱 brick",
		"houses", "🏘️ houses",
		"derelict_house", "🏚️ derelict house",
		"house", "🏠 house",
		"house_with_garden", "🏡 house with garden",
		"office", "🏢 office building",
		"post_office", "🏣 Japanese post office",
		"european_post_office", "🏤 post office",
		"hospital", "🏥 hospital",
		"bank", "🏦 bank",
		"hotel", "🏨 hotel",
		"love_hotel", "🏩 love hotel",
		"convenience_store", "🏪 convenience store",
		"school", "🏫 school",
		"department_store", "🏬 department store",
		"factory", "🏭 factory",
		"japanese_castle", "🏯 Japanese castle",
		"european_castle", "🏰 castle",
		"wedding", "💒 wedding",
		"tokyo_tower", "🗼 Tokyo tower",
		"statue_of_liberty", "🗽 Statue of Liberty",
		"church", "⛪ church",
		"mosque", "🕌 mosque",
		"hindu_temple", "🛕 hindu temple",
		"synagogue", "🕍 synagogue",
		"shinto_shrine", "⛩️ shinto shrine",
		"kaaba", "🕋 kaaba",
		"fountain", "⛲ fountain",
		"tent", "⛺ tent",
		"foggy", "🌁 foggy",
		"night_with_stars", "🌃 night with stars",
		"cityscape", "🏙️ cityscape",
		"sunrise_over_mountains", "🌄 sunrise over mountains",
		"sunrise", "🌅 sunrise",
		"city_sunset", "🌆 cityscape at dusk",
		"city_sunrise", "🌇 sunset",
		"bridge_at_night", "🌉 bridge at night",
		"hotsprings", "♨️ hot springs",
		"carousel_horse", "🎠 carousel horse",
		"ferris_wheel", "🎡 ferris wheel",
		"roller_coaster", "🎢 roller coaster",
		"barber", "💈 barber pole",
		"circus_tent", "🎪 circus tent",
		"steam_locomotive", "🚂 locomotive",
		"railway_car", "🚃 railway car",
		"bullettrain_side", "🚄 high-speed train",
		"bullettrain_front", "🚅 bullet train",
		"train2", "🚆 train",
		"metro", "🚇 metro",
		"light_rail", "🚈 light rail",
		"station", "🚉 station",
		"tram", "🚊 tram",
		"monorail", "🚝 monorail",
		"mountain_railway", "🚞 mountain railway",
		"train", "🚋 tram car",
		"bus", "🚌 bus",
		"oncoming_bus", "🚍 oncoming bus",
		"trolleybus", "🚎 trolleybus",
		"minibus", "🚐 minibus",
		"ambulance", "🚑 ambulance",
		"fire_engine", "🚒 fire engine",
		"police_car", "🚓 police car",
		"oncoming_police_car", "🚔 oncoming police car",
		"taxi", "🚕 taxi",
		"oncoming_taxi", "🚖 oncoming taxi",
		"car", "🚗 automobile",
		"oncoming_automobile", "🚘 oncoming automobile",
		"blue_car", "🚙 sport utility vehicle",
		"truck", "🚚 delivery truck",
		"articulated_lorry", "🚛 articulated lorry",
		"tractor", "🚜 tractor",
		"racing_car", "🏎️ racing car",
		"motorcycle", "🏍️ motorcycle",
		"motor_scooter", "🛵 motor scooter",
		"manual_wheelchair", "🦽 manual wheelchair",
		"motorized_wheelchair", "🦼 motorized wheelchair",
		"auto_rickshaw", "🛺 auto rickshaw",
		"bike", "🚲 bicycle",
		"kick_scooter", "🛴 kick scooter",
		"skateboard", "🛹 skateboard",
		"busstop", "🚏 bus stop",
		"motorway", "🛣️ motorway",
		"railway_track", "🛤️ railway track",
		"oil_drum", "🛢️ oil drum",
		"fuelpump", "⛽ fuel pump",
		"rotating_light", "🚨 police car light",
		"traffic_light", "🚥 horizontal traffic light",
		"vertical_traffic_light", "🚦 vertical traffic light",
		"stop_sign", "🛑 stop sign",
		"construction", "🚧 construction",
		"anchor", "⚓ anchor",
		"boat", "⛵ sailboat",
		"canoe", "🛶 canoe",
		"speedboat", "🚤 speedboat",
		"passenger_ship", "🛳️ passenger ship",
		"ferry", "⛴️ ferry",
		"motor_boat", "🛥️ motor boat",
		"ship", "🚢 ship",
		"airplane", "✈️ airplane",
		"small_airplane", "🛩️ small airplane",
		"flight_departure", "🛫 airplane departure",
		"flight_arrival", "🛬 airplane arrival",
		"parachute", "🪂 parachute",
		"seat", "💺 seat",
		"helicopter", "🚁 helicopter",
		"suspension_railway", "🚟 suspension railway",
		"mountain_cableway", "🚠 mountain cableway",
		"aerial_tramway", "🚡 aerial tramway",
		"artificial_satellite", "🛰️ satellite",
		"rocket", "🚀 rocket",
		"flying_saucer", "🛸 flying saucer",
		"bellhop_bell", "🛎️ bellhop bell",
		"luggage", "🧳 luggage",
		"hourglass", "⌛ hourglass done",
		"hourglass_flowing_sand", "⏳ hourglass not done",
		"watch", "⌚ watch",
		"alarm_clock", "⏰ alarm clock",
		"stopwatch", "⏱️ stopwatch",
		"timer_clock", "⏲️ timer clock",
		"mantelpiece_clock", "🕰️ mantelpiece clock",
		"clock12", "🕛 twelve o’clock",
		"clock1230", "🕧 twelve-thirty",
		"clock1", "🕐 one o’clock",
		"clock130", "🕜 one-thirty",
		"clock2", "🕑 two o’clock",
		"clock230", "🕝 two-thirty",
		"clock3", "🕒 three o’clock",
		"clock330", "🕞 three-thirty",
		"clock4", "🕓 four o’clock",
		"clock430", "🕟 four-thirty",
		"clock5", "🕔 five o’clock",
		"clock530", "🕠 five-thirty",
		"clock6", "🕕 six o’clock",
		"clock630", "🕡 six-thirty",
		"clock7", "🕖 seven o’clock",
		"clock730", "🕢 seven-thirty",
		"clock8", "🕗 eight o’clock",
		"clock830", "🕣 eight-thirty",
		"clock9", "🕘 nine o’clock",
		"clock930", "🕤 nine-thirty",
		"clock10", "🕙 ten o’clock",
		"clock1030", "🕥 ten-thirty",
		"clock11", "🕚 eleven o’clock",
		"clock1130", "🕦 eleven-thirty",
		"new_moon", "🌑 new moon",
		"waxing_crescent_moon", "🌒 waxing crescent moon",
		"first_quarter_moon", "🌓 first quarter moon",
		"moon", "🌔 waxing gibbous moon",
		"full_moon", "🌕 full moon",
		"waning_gibbous_moon", "🌖 waning gibbous moon",
		"last_quarter_moon", "🌗 last quarter moon",
		"waning_crescent_moon", "🌘 waning crescent moon",
		"crescent_moon", "🌙 crescent moon",
		"new_moon_with_face", "🌚 new moon face",
		"first_quarter_moon_with_face", "🌛 first quarter moon face",
		"last_quarter_moon_with_face", "🌜 last quarter moon face",
		"thermometer", "🌡️ thermometer",
		"sunny", "☀️ sun",
		"full_moon_with_face", "🌝 full moon face",
		"sun_with_face", "🌞 sun with face",
		"ringed_planet", "🪐 ringed planet",
		"star", "⭐ star",
		"star2", "🌟 glowing star",
		"stars", "🌠 shooting star",
		"milky_way", "🌌 milky way",
		"cloud", "☁️ cloud",
		"partly_sunny", "⛅ sun behind cloud",
		"cloud_with_lightning_and_rain", "⛈️ cloud with lightning and rain",
		"sun_behind_small_cloud", "🌤️ sun behind small cloud",
		"sun_behind_large_cloud", "🌥️ sun behind large cloud",
		"sun_behind_rain_cloud", "🌦️ sun behind rain cloud",
		"cloud_with_rain", "🌧️ cloud with rain",
		"cloud_with_snow", "🌨️ cloud with snow",
		"cloud_with_lightning", "🌩️ cloud with lightning",
		"tornado", "🌪️ tornado",
		"fog", "🌫️ fog",
		"wind_face", "🌬️ wind face",
		"cyclone", "🌀 cyclone",
		"rainbow", "🌈 rainbow",
		"closed_umbrella", "🌂 closed umbrella",
		"open_umbrella", "☂️ umbrella",
		"umbrella", "☔ umbrella with rain drops",
		"parasol_on_ground", "⛱️ umbrella on ground",
		"zap", "⚡ high voltage",
		"snowflake", "❄️ snowflake",
		"snowman_with_snow", "☃️ snowman",
		"snowman", "⛄ snowman without snow",
		"comet", "☄️ comet",
		"fire", "🔥 fire",
		"droplet", "💧 droplet",
		"ocean", "🌊 water wave",
		"jack_o_lantern", "🎃 jack-o-lantern",
		"christmas_tree", "🎄 Christmas tree",
		"fireworks", "🎆 fireworks",
		"sparkler", "🎇 sparkler",
		"firecracker", "🧨 firecracker",
		"sparkles", "✨ sparkles",
		"balloon", "🎈 balloon",
		"tada", "🎉 party popper",
		"confetti_ball", "🎊 confetti ball",
		"tanabata_tree", "🎋 tanabata tree",
		"bamboo", "🎍 pine decoration",
		"dolls", "🎎 Japanese dolls",
		"flags", "🎏 carp streamer",
		"wind_chime", "🎐 wind chime",
		"rice_scene", "🎑 moon viewing ceremony",
		"red_envelope", "🧧 red envelope",
		"ribbon", "🎀 ribbon",
		"gift", "🎁 wrapped gift",
		"reminder_ribbon", "🎗️ reminder ribbon",
		"tickets", "🎟️ admission tickets",
		"ticket", "🎫 ticket",
		"medal_military", "🎖️ military medal",
		"trophy", "🏆 trophy",
		"medal_sports", "🏅 sports medal",
		"1st_place_medal", "🥇 1st place medal",
		"2nd_place_medal", "🥈 2nd place medal",
		"3rd_place_medal", "🥉 3rd place medal",
		"soccer", "⚽ soccer ball",
		"baseball", "⚾ baseball",
		"softball", "🥎 softball",
		"basketball", "🏀 basketball",
		"volleyball", "🏐 volleyball",
		"football", "🏈 american football",
		"rugby_football", "🏉 rugby football",
		"tennis", "🎾 tennis",
		"flying_disc", "🥏 flying disc",
		"bowling", "🎳 bowling",
		"cricket_game", "🏏 cricket game",
		"field_hockey", "🏑 field hockey",
		"ice_hockey", "🏒 ice hockey",
		"lacrosse", "🥍 lacrosse",
		"ping_pong", "🏓 ping pong",
		"badminton", "🏸 badminton",
		"boxing_glove", "🥊 boxing glove",
		"martial_arts_uniform", "🥋 martial arts uniform",
		"goal_net", "🥅 goal net",
		"golf", "⛳ flag in hole",
		"ice_skate", "⛸️ ice skate",
		"fishing_pole_and_fish", "🎣 fishing pole",
		"diving_mask", "🤿 diving mask",
		"running_shirt_with_sash", "🎽 running shirt",
		"ski", "🎿 skis",
		"sled", "🛷 sled",
		"curling_stone", "🥌 curling stone",
		"dart", "🎯 direct hit",
		"yo_yo", "🪀 yo-yo",
		"kite", "🪁 kite",
		"8ball", "🎱 pool 8 ball",
		"crystal_ball", "🔮 crystal ball",
		"nazar_amulet", "🧿 nazar amulet",
		"video_game", "🎮 video game",
		"joystick", "🕹️ joystick",
		"slot_machine", "🎰 slot machine",
		"game_die", "🎲 game die",
		"jigsaw", "🧩 puzzle piece",
		"teddy_bear", "🧸 teddy bear",
		"spades", "♠️ spade suit",
		"hearts", "♥️ heart suit",
		"diamonds", "♦️ diamond suit",
		"clubs", "♣️ club suit",
		"chess_pawn", "♟️ chess pawn",
		"black_joker", "🃏 joker",
		"mahjong", "🀄 mahjong red dragon",
		"flower_playing_cards", "🎴 flower playing cards",
		"performing_arts", "🎭 performing arts",
		"framed_picture", "🖼️ framed picture",
		"art", "🎨 artist palette",
		"thread", "🧵 thread",
		"yarn", "🧶 yarn",
		"eyeglasses", "👓 glasses",
		"dark_sunglasses", "🕶️ sunglasses",
		"goggles", "🥽 goggles",
		"lab_coat", "🥼 lab coat",
		"safety_vest", "🦺 safety vest",
		"necktie", "👔 necktie",
		"shirt", "👕 t-shirt",
		"jeans", "👖 jeans",
		"scarf", "🧣 scarf",
		"gloves", "🧤 gloves",
		"coat", "🧥 coat",
		"socks", "🧦 socks",
		"dress", "👗 dress",
		"kimono", "👘 kimono",
		"sari", "🥻 sari",
		"one_piece_swimsuit", "🩱 one-piece swimsuit",
		"swim_brief", "🩲 briefs",
		"shorts", "🩳 shorts",
		"bikini", "👙 bikini",
		"womans_clothes", "👚 woman’s clothes",
		"purse", "👛 purse",
		"handbag", "👜 handbag",
		"pouch", "👝 clutch bag",
		"shopping", "🛍️ shopping bags",
		"school_satchel", "🎒 backpack",
		"mans_shoe", "👞 man’s shoe",
		"athletic_shoe", "👟 running shoe",
		"hiking_boot", "🥾 hiking boot",
		"flat_shoe", "🥿 flat shoe",
		"high_heel", "👠 high-heeled shoe",
		"sandal", "👡 woman’s sandal",
		"ballet_shoes", "🩰 ballet shoes",
		"boot", "👢 woman’s boot",
		"crown", "👑 crown",
		"womans_hat", "👒 woman’s hat",
		"tophat", "🎩 top hat",
		"mortar_board", "🎓 graduation cap",
		"billed_cap", "🧢 billed cap",
		"rescue_worker_helmet", "⛑️ rescue worker’s helmet",
		"prayer_beads", "📿 prayer beads",
		"lipstick", "💄 lipstick",
		"ring", "💍 ring",
		"gem", "💎 gem stone",
		"mute", "🔇 muted speaker",
		"speaker", "🔈 speaker low volume",
		"sound", "🔉 speaker medium volume",
		"loud_sound", "🔊 speaker high volume",
		"loudspeaker", "📢 loudspeaker",
		"mega", "📣 megaphone",
		"postal_horn", "📯 postal horn",
		"bell", "🔔 bell",
		"no_bell", "🔕 bell with slash",
		"musical_score", "🎼 musical score",
		"musical_note", "🎵 musical note",
		"notes", "🎶 musical notes",
		"studio_microphone", "🎙️ studio microphone",
		"level_slider", "🎚️ level slider",
		"control_knobs", "🎛️ control knobs",
		"microphone", "🎤 microphone",
		"headphones", "🎧 headphone",
		"radio", "📻 radio",
		"saxophone", "🎷 saxophone",
		"guitar", "🎸 guitar",
		"musical_keyboard", "🎹 musical keyboard",
		"trumpet", "🎺 trumpet",
		"violin", "🎻 violin",
		"banjo", "🪕 banjo",
		"drum", "🥁 drum",
		"iphone", "📱 mobile phone",
		"calling", "📲 mobile phone with arrow",
		"phone", "☎️ telephone",
		"telephone_receiver", "📞 telephone receiver",
		"pager", "📟 pager",
		"fax", "📠 fax machine",
		"battery", "🔋 battery",
		"electric_plug", "🔌 electric plug",
		"computer", "💻 laptop",
		"desktop_computer", "🖥️ desktop computer",
		"printer", "🖨️ printer",
		"keyboard", "⌨️ keyboard",
		"computer_mouse", "🖱️ computer mouse",
		"trackball", "🖲️ trackball",
		"minidisc", "💽 computer disk",
		"floppy_disk", "💾 floppy disk",
		"cd", "💿 optical disk",
		"dvd", "📀 dvd",
		"abacus", "🧮 abacus",
		"movie_camera", "🎥 movie camera",
		"film_strip", "🎞️ film frames",
		"film_projector", "📽️ film projector",
		"clapper", "🎬 clapper board",
		"tv", "📺 television",
		"camera", "📷 camera",
		"camera_flash", "📸 camera with flash",
		"video_camera", "📹 video camera",
		"vhs", "📼 videocassette",
		"mag", "🔍 magnifying glass tilted left",
		"mag_right", "🔎 magnifying glass tilted right",
		"candle", "🕯️ candle",
		"bulb", "💡 light bulb",
		"flashlight", "🔦 flashlight",
		"izakaya_lantern", "🏮 red paper lantern",
		"diya_lamp", "🪔 diya lamp",
		"notebook_with_decorative_cover", "📔 notebook with decorative cover",
		"closed_book", "📕 closed book",
		"book", "📖 open book",
		"green_book", "📗 green book",
		"blue_book", "📘 blue book",
		"orange_book", "📙 orange book",
		"books", "📚 books",
		"notebook", "📓 notebook",
		"ledger", "📒 ledger",
		"page_with_curl", "📃 page with curl",
		"scroll", "📜 scroll",
		"page_facing_up", "📄 page facing up",
		"newspaper", "📰 newspaper",
		"newspaper_roll", "🗞️ rolled-up newspaper",
		"bookmark_tabs", "📑 bookmark tabs",
		"bookmark", "🔖 bookmark",
		"label", "🏷️ label",
		"moneybag", "💰 money bag",
		"yen", "💴 yen banknote",
		"dollar", "💵 dollar banknote",
		"euro", "💶 euro banknote",
		"pound", "💷 pound banknote",
		"money_with_wings", "💸 money with wings",
		"credit_card", "💳 credit card",
		"receipt", "🧾 receipt",
		"chart", "💹 chart increasing with yen",
		"email", "✉️ envelope",
		"e-mail", "📧 e-mail",
		"incoming_envelope", "📨 incoming envelope",
		"envelope_with_arrow", "📩 envelope with arrow",
		"outbox_tray", "📤 outbox tray",
		"inbox_tray", "📥 inbox tray",
		"package", "📦 package",
		"mailbox", "📫 closed mailbox with raised flag",
		"mailbox_closed", "📪 closed mailbox with lowered flag",
		"mailbox_with_mail", "📬 open mailbox with raised flag",
		"mailbox_with_no_mail", "📭 open mailbox with lowered flag",
		"postbox", "📮 postbox",
		"ballot_box", "🗳️ ballot box with ballot",
		"pencil2", "✏️ pencil",
		"black_nib", "✒️ black nib",
		"fountain_pen", "🖋️ fountain pen",
		"pen", "🖊️ pen",
		"paintbrush", "🖌️ paintbrush",
		"crayon", "🖍️ crayon",
		"memo", "📝 memo",
		"briefcase", "💼 briefcase",
		"file_folder", "📁 file folder",
		"open_file_folder", "📂 open file folder",
		"card_index_dividers", "🗂️ card index dividers",
		"date", "📅 calendar",
		"calendar", "📆 tear-off calendar",
		"spiral_notepad", "🗒️ spiral notepad",
		"spiral_calendar", "🗓️ spiral calendar",
		"card_index", "📇 card index",
		"chart_with_upwards_trend", "📈 chart increasing",
		"chart_with_downwards_trend", "📉 chart decreasing",
		"bar_chart", "📊 bar chart",
		"clipboard", "📋 clipboard",
		"pushpin", "📌 pushpin",
		"round_pushpin", "📍 round pushpin",
		"paperclip", "📎 paperclip",
		"paperclips", "🖇️ linked paperclips",
		"straight_ruler", "📏 straight ruler",
		"triangular_ruler", "📐 triangular ruler",
		"scissors", "✂️ scissors",
		"card_file_box", "🗃️ card file box",
		"file_cabinet", "🗄️ file cabinet",
		"wastebasket", "🗑️ wastebasket",
		"lock", "🔒 locked",
		"unlock", "🔓 unlocked",
		"lock_with_ink_pen", "🔏 locked with pen",
		"closed_lock_with_key", "🔐 locked with key",
		"key", "🔑 key",
		"old_key", "🗝️ old key",
		"hammer", "🔨 hammer",
		"axe", "🪓 axe",
		"pick", "⛏️ pick",
		"hammer_and_pick", "⚒️ hammer and pick",
		"hammer_and_wrench", "🛠️ hammer and wrench",
		"dagger", "🗡️ dagger",
		"crossed_swords", "⚔️ crossed swords",
		"gun", "🔫 pistol",
		"bow_and_arrow", "🏹 bow and arrow",
		"shield", "🛡️ shield",
		"wrench", "🔧 wrench",
		"nut_and_bolt", "🔩 nut and bolt",
		"gear", "⚙️ gear",
		"clamp", "🗜️ clamp",
		"balance_scale", "⚖️ balance scale",
		"probing_cane", "🦯 white cane",
		"link", "🔗 link",
		"chains", "⛓️ chains",
		"toolbox", "🧰 toolbox",
		"magnet", "🧲 magnet",
		"alembic", "⚗️ alembic",
		"test_tube", "🧪 test tube",
		"petri_dish", "🧫 petri dish",
		"dna", "🧬 dna",
		"microscope", "🔬 microscope",
		"telescope", "🔭 telescope",
		"satellite", "📡 satellite antenna",
		"syringe", "💉 syringe",
		"drop_of_blood", "🩸 drop of blood",
		"pill", "💊 pill",
		"adhesive_bandage", "🩹 adhesive bandage",
		"stethoscope", "🩺 stethoscope",
		"door", "🚪 door",
		"bed", "🛏️ bed",
		"couch_and_lamp", "🛋️ couch and lamp",
		"chair", "🪑 chair",
		"toilet", "🚽 toilet",
		"shower", "🚿 shower",
		"bathtub", "🛁 bathtub",
		"razor", "🪒 razor",
		"lotion_bottle", "🧴 lotion bottle",
		"safety_pin", "🧷 safety pin",
		"broom", "🧹 broom",
		"basket", "🧺 basket",
		"roll_of_paper", "🧻 roll of paper",
		"soap", "🧼 soap",
		"sponge", "🧽 sponge",
		"fire_extinguisher", "🧯 fire extinguisher",
		"shopping_cart", "🛒 shopping cart",
		"smoking", "🚬 cigarette",
		"coffin", "⚰️ coffin",
		"funeral_urn", "⚱️ funeral urn",
		"moyai", "🗿 moai",
		"atm", "🏧 ATM sign",
		"put_litter_in_its_place", "🚮 litter in bin sign",
		"potable_water", "🚰 potable water",
		"wheelchair", "♿ wheelchair symbol",
		"mens", "🚹 men’s room",
		"womens", "🚺 women’s room",
		"restroom", "🚻 restroom",
		"baby_symbol", "🚼 baby symbol",
		"wc", "🚾 water closet",
		"passport_control", "🛂 passport control",
		"customs", "🛃 customs",
		"baggage_claim", "🛄 baggage claim",
		"left_luggage", "🛅 left luggage",
		"warning", "⚠️ warning",
		"children_crossing", "🚸 children crossing",
		"no_entry", "⛔ no entry",
		"no_entry_sign", "🚫 prohibited",
		"no_bicycles", "🚳 no bicycles",
		"no_smoking", "🚭 no smoking",
		"do_not_litter", "🚯 no littering",
		"non-potable_water", "🚱 non-potable water",
		"no_pedestrians", "🚷 no pedestrians",
		"no_mobile_phones", "📵 no mobile phones",
		"underage", "🔞 no one under eighteen",
		"radioactive", "☢️ radioactive",
		"biohazard", "☣️ biohazard",
		"arrow_up", "⬆️ up arrow",
		"arrow_upper_right", "↗️ up-right arrow",
		"arrow_right", "➡️ right arrow",
		"arrow_lower_right", "↘️ down-right arrow",
		"arrow_down", "⬇️ down arrow",
		"arrow_lower_left", "↙️ down-left arrow",
		"arrow_left", "⬅️ left arrow",
		"arrow_upper_left", "↖️ up-left arrow",
		"arrow_up_down", "↕️ up-down arrow",
		"left_right_arrow", "↔️ left-right arrow",
		"leftwards_arrow_with_hook", "↩️ right arrow curving left",
		"arrow_right_hook", "↪️ left arrow curving right",
		"arrow_heading_up", "⤴️ right arrow curving up",
		"arrow_heading_down", "⤵️ right arrow curving down",
		"arrows_clockwise", "🔃 clockwise vertical arrows",
		"arrows_counterclockwise", "🔄 counterclockwise arrows button",
		"back", "🔙 BACK arrow",
		"end", "🔚 END arrow",
		"on", "🔛 ON! arrow",
		"soon", "🔜 SOON arrow",
		"top", "🔝 TOP arrow",
		"place_of_worship", "🛐 place of worship",
		"atom_symbol", "⚛️ atom symbol",
		"om", "🕉️ om",
		"star_of_david", "✡️ star of David",
		"wheel_of_dharma", "☸️ wheel of dharma",
		"yin_yang", "☯️ yin yang",
		"latin_cross", "✝️ latin cross",
		"orthodox_cross", "☦️ orthodox cross",
		"star_and_crescent", "☪️ star and crescent",
		"peace_symbol", "☮️ peace symbol",
		"menorah", "🕎 menorah",
		"six_pointed_star", "🔯 dotted six-pointed star",
		"aries", "♈ Aries",
		"taurus", "♉ Taurus",
		"gemini", "♊ Gemini",
		"cancer", "♋ Cancer",
		"leo", "♌ Leo",
		"virgo", "♍ Virgo",
		"libra", "♎ Libra",
		"scorpius", "♏ Scorpio",
		"sagittarius", "♐ Sagittarius",
		"capricorn", "♑ Capricorn",
		"aquarius", "♒ Aquarius",
		"pisces", "♓ Pisces",
		"ophiuchus", "⛎ Ophiuchus",
		"twisted_rightwards_arrows", "🔀 shuffle tracks button",
		"repeat", "🔁 repeat button",
		"repeat_one", "🔂 repeat single button",
		"arrow_forward", "▶️ play button",
		"fast_forward", "⏩ fast-forward button",
		"next_track_button", "⏭️ next track button",
		"play_or_pause_button", "⏯️ play or pause button",
		"arrow_backward", "◀️ reverse button",
		"rewind", "⏪ fast reverse button",
		"previous_track_button", "⏮️ last track button",
		"arrow_up_small", "🔼 upwards button",
		"arrow_double_up", "⏫ fast up button",
		"arrow_down_small", "🔽 downwards button",
		"arrow_double_down", "⏬ fast down button",
		"pause_button", "⏸️ pause button",
		"stop_button", "⏹️ stop button",
		"record_button", "⏺️ record button",
		"eject_button", "⏏️ eject button",
		"cinema", "🎦 cinema",
		"low_brightness", "🔅 dim button",
		"high_brightness", "🔆 bright button",
		"signal_strength", "📶 antenna bars",
		"vibration_mode", "📳 vibration mode",
		"mobile_phone_off", "📴 mobile phone off",
		"female_sign", "♀️ female sign",
		"male_sign", "♂️ male sign",
		"heavy_multiplication_x", "✖️ multiply",
		"heavy_plus_sign", "➕ plus",
		"heavy_minus_sign", "➖ minus",
		"heavy_division_sign", "➗ divide",
		"infinity", "♾️ infinity",
		"bangbang", "‼️ double exclamation mark",
		"interrobang", "⁉️ exclamation question mark",
		"question", "❓ question mark",
		"grey_question", "❔ white question mark",
		"grey_exclamation", "❕ white exclamation mark",
		"exclamation", "❗ exclamation mark",
		"wavy_dash", "〰️ wavy dash",
		"currency_exchange", "💱 currency exchange",
		"heavy_dollar_sign", "💲 heavy dollar sign",
		"medical_symbol", "⚕️ medical symbol",
		"recycle", "♻️ recycling symbol",
		"fleur_de_lis", "⚜️ fleur-de-lis",
		"trident", "🔱 trident emblem",
		"name_badge", "📛 name badge",
		"beginner", "🔰 Japanese symbol for beginner",
		"o", "⭕ hollow red circle",
		"white_check_mark", "✅ check mark button",
		"ballot_box_with_check", "☑️ check box with check",
		"heavy_check_mark", "✔️ check mark",
		"x", "❌ cross mark",
		"negative_squared_cross_mark", "❎ cross mark button",
		"curly_loop", "➰ curly loop",
		"loop", "➿ double curly loop",
		"part_alternation_mark", "〽️ part alternation mark",
		"eight_spoked_asterisk", "✳️ eight-spoked asterisk",
		"eight_pointed_black_star", "✴️ eight-pointed star",
		"sparkle", "❇️ sparkle",
		"copyright", "©️ copyright",
		"registered", "®️ registered",
		"tm", "™️ trade mark",
		"hash", "#️⃣ keycap: #",
		"asterisk", "*️⃣ keycap: *",
		"zero", "0️⃣ keycap: 0",
		"one", "1️⃣ keycap: 1",
		"two", "2️⃣ keycap: 2",
		"three", "3️⃣ keycap: 3",
		"four", "4️⃣ keycap: 4",
		"five", "5️⃣ keycap: 5",
		"six", "6️⃣ keycap: 6",
		"seven", "7️⃣ keycap: 7",
		"eight", "8️⃣ keycap: 8",
		"nine", "9️⃣ keycap: 9",
		"keycap_ten", "🔟 keycap: 10",
		"capital_abcd", "🔠 input latin uppercase",
		"abcd", "🔡 input latin lowercase",
		"1234", "🔢 input numbers",
		"symbols", "🔣 input symbols",
		"abc", "🔤 input latin letters",
		"a", "🅰️A button (blood type)",
		"ab", "🆎 AB button (blood type)",
		"b", "🅱️ B button (blood type)",
		"cl", "🆑 CL button",
		"cool", "🆒 COOL button",
		"free", "🆓 FREE button",
		"information_source", "ℹ️ information",
		"id", "🆔 ID button",
		"m", "Ⓜ️ circled M",
		"new", "🆕 NEW button",
		"ng", "🆖 NG button",
		"o2", "🅾️ O button (blood type)",
		"ok", "🆗 OK button",
		"parking", "🅿️ P button",
		"sos", "🆘 SOS button",
		"up", "🆙 UP! button",
		"vs", "🆚 VS button",
		"koko", "🈁 Japanese “here” button",
		"sa", "🈂️ Japanese “service charge” button",
		"u6708", "🈷️ Japanese “monthly amount” button",
		"u6709", "🈶 Japanese “not free of charge” button",
		"u6307", "🈯 Japanese “reserved” button",
		"ideograph_advantage", "🉐 Japanese “bargain” button",
		"u5272", "🈹 Japanese “discount” button",
		"u7121", "🈚 Japanese “free of charge” button",
		"u7981", "🈲 Japanese “prohibited” button",
		"accept", "🉑 Japanese “acceptable” button",
		"u7533", "🈸 Japanese “application” button",
		"u5408", "🈴 Japanese “passing grade” button",
		"u7a7a", "🈳 Japanese “vacancy” button",
		"congratulations", "㊗️ Japanese “congratulations” button",
		"secret", "㊙️ Japanese “secret” button",
		"u55b6", "🈺 Japanese “open for business” button",
		"u6e80", "🈵 Japanese “no vacancy” button",
		"red_circle", "🔴 red circle",
		"orange_circle", "🟠 orange circle",
		"yellow_circle", "🟡 yellow circle",
		"green_circle", "🟢 green circle",
		"large_blue_circle", "🔵 blue circle",
		"purple_circle", "🟣 purple circle",
		"brown_circle", "🟤 brown circle",
		"black_circle", "⚫ black circle",
		"white_circle", "⚪ white circle",
		"red_square", "🟥 red square",
		"orange_square", "🟧 orange square",
		"yellow_square", "🟨 yellow square",
		"green_square", "🟩 green square",
		"blue_square", "🟦 blue square",
		"purple_square", "🟪 purple square",
		"brown_square", "🟫 brown square",
		"black_large_square", "⬛ black large square",
		"white_large_square", "⬜ white large square",
		"black_medium_square", "◼️ black medium square",
		"white_medium_square", "◻️ white medium square",
		"black_medium_small_square", "◾ black medium-small square",
		"white_medium_small_square", "◽ white medium-small square",
		"black_small_square", "▪️ black small square",
		"white_small_square", "▫️ white small square",
		"large_orange_diamond", "🔶 large orange diamond",
		"large_blue_diamond", "🔷 large blue diamond",
		"small_orange_diamond", "🔸 small orange diamond",
		"small_blue_diamond", "🔹 small blue diamond",
		"small_red_triangle", "🔺 red triangle pointed up",
		"small_red_triangle_down", "🔻 red triangle pointed down",
		"diamond_shape_with_a_dot_inside", "💠 diamond with a dot",
		"radio_button", "🔘 radio button",
		"white_square_button", "🔳 white square button",
		"black_square_button", "🔲 black square button",
		"checkered_flag", "🏁 chequered flag",
		"triangular_flag_on_post", "🚩 triangular flag",
		"crossed_flags", "🎌 crossed flags",
		"black_flag", "🏴 black flag",
		"white_flag", "🏳️ white flag",
		"rainbow_flag", "🏳️‍🌈 rainbow flag",
		"pirate_flag", "🏴‍☠️ pirate flag",
		"ascension_island", "🇦🇨 flag: Ascension Island",
		"andorra", "🇦🇩 flag: Andorra",
		"united_arab_emirates", "🇦🇪 flag: United Arab Emirates",
		"afghanistan", "🇦🇫 flag: Afghanistan",
		"antigua_barbuda", "🇦🇬 flag: Antigua & Barbuda",
		"anguilla", "🇦🇮 flag: Anguilla",
		"albania", "🇦🇱 flag: Albania",
		"armenia", "🇦🇲 flag: Armenia",
		"angola", "🇦🇴 flag: Angola",
		"antarctica", "🇦🇶 flag: Antarctica",
		"argentina", "🇦🇷 flag: Argentina",
		"american_samoa", "🇦🇸 flag: American Samoa",
		"austria", "🇦🇹 flag: Austria",
		"australia", "🇦🇺 flag: Australia",
		"aruba", "🇦🇼 flag: Aruba",
		"aland_islands", "🇦🇽 flag: Åland Islands",
		"azerbaijan", "🇦🇿 flag: Azerbaijan",
		"bosnia_herzegovina", "🇧🇦 flag: Bosnia & Herzegovina",
		"barbados", "🇧🇧 flag: Barbados",
		"bangladesh", "🇧🇩 flag: Bangladesh",
		"belgium", "🇧🇪 flag: Belgium",
		"burkina_faso", "🇧🇫 flag: Burkina Faso",
		"bulgaria", "🇧🇬 flag: Bulgaria",
		"bahrain", "🇧🇭 flag: Bahrain",
		"burundi", "🇧🇮 flag: Burundi",
		"benin", "🇧🇯 flag: Benin",
		"st_barthelemy", "🇧🇱 flag: St. Barthélemy",
		"bermuda", "🇧🇲 flag: Bermuda",
		"brunei", "🇧🇳 flag: Brunei",
		"bolivia", "🇧🇴 flag: Bolivia",
		"caribbean_netherlands", "🇧🇶 flag: Caribbean Netherlands",
		"brazil", "🇧🇷 flag: Brazil",
		"bahamas", "🇧🇸 flag: Bahamas",
		"bhutan", "🇧🇹 flag: Bhutan",
		"bouvet_island", "🇧🇻 flag: Bouvet Island",
		"botswana", "🇧🇼 flag: Botswana",
		"belarus", "🇧🇾 flag: Belarus",
		"belize", "🇧🇿 flag: Belize",
		"canada", "🇨🇦 flag: Canada",
		"cocos_islands", "🇨🇨 flag: Cocos (Keeling) Islands",
		"congo_kinshasa", "🇨🇩 flag: Congo - Kinshasa",
		"central_african_republic", "🇨🇫 flag: Central African Republic",
		"congo_brazzaville", "🇨🇬 flag: Congo - Brazzaville",
		"switzerland", "🇨🇭 flag: Switzerland",
		"cote_divoire", "🇨🇮 flag: Côte d’Ivoire",
		"cook_islands", "🇨🇰 flag: Cook Islands",
		"chile", "🇨🇱 flag: Chile",
		"cameroon", "🇨🇲 flag: Cameroon",
		"cn", "🇨🇳 flag: China",
		"colombia", "🇨🇴 flag: Colombia",
		"clipperton_island", "🇨🇵 flag: Clipperton Island",
		"costa_rica", "🇨🇷 flag: Costa Rica",
		"cuba", "🇨🇺 flag: Cuba",
		"cape_verde", "🇨🇻 flag: Cape Verde",
		"curacao", "🇨🇼 flag: Curaçao",
		"christmas_island", "🇨🇽 flag: Christmas Island",
		"cyprus", "🇨🇾 flag: Cyprus",
		"czech_republic", "🇨🇿 flag: Czechia",
		"de", "🇩🇪 flag: Germany",
		"diego_garcia", "🇩🇬 flag: Diego Garcia",
		"djibouti", "🇩🇯 flag: Djibouti",
		"denmark", "🇩🇰 flag: Denmark",
		"dominica", "🇩🇲 flag: Dominica",
		"dominican_republic", "🇩🇴 flag: Dominican Republic",
		"algeria", "🇩🇿 flag: Algeria",
		"ceuta_melilla", "🇪🇦 flag: Ceuta & Melilla",
		"ecuador", "🇪🇨 flag: Ecuador",
		"estonia", "🇪🇪 flag: Estonia",
		"egypt", "🇪🇬 flag: Egypt",
		"western_sahara", "🇪🇭 flag: Western Sahara",
		"eritrea", "🇪🇷 flag: Eritrea",
		"es", "🇪🇸 flag: Spain",
		"ethiopia", "🇪🇹 flag: Ethiopia",
		"eu", "🇪🇺 flag: European Union",
		"finland", "🇫🇮 flag: Finland",
		"fiji", "🇫🇯 flag: Fiji",
		"falkland_islands", "🇫🇰 flag: Falkland Islands",
		"micronesia", "🇫🇲 flag: Micronesia",
		"faroe_islands", "🇫🇴 flag: Faroe Islands",
		"fr", "🇫🇷 flag: France",
		"gabon", "🇬🇦 flag: Gabon",
		"gb", "🇬🇧 flag: United Kingdom",
		"grenada", "🇬🇩 flag: Grenada",
		"georgia", "🇬🇪 flag: Georgia",
		"french_guiana", "🇬🇫 flag: French Guiana",
		"guernsey", "🇬🇬 flag: Guernsey",
		"ghana", "🇬🇭 flag: Ghana",
		"gibraltar", "🇬🇮 flag: Gibraltar",
		"greenland", "🇬🇱 flag: Greenland",
		"gambia", "🇬🇲 flag: Gambia",
		"guinea", "🇬🇳 flag: Guinea",
		"guadeloupe", "🇬🇵 flag: Guadeloupe",
		"equatorial_guinea", "🇬🇶 flag: Equatorial Guinea",
		"greece", "🇬🇷 flag: Greece",
		"south_georgia_south_sandwich_islands", "🇬🇸 flag: South Georgia & South Sandwich Islands",
		"guatemala", "🇬🇹 flag: Guatemala",
		"guam", "🇬🇺 flag: Guam",
		"guinea_bissau", "🇬🇼 flag: Guinea-Bissau",
		"guyana", "🇬🇾 flag: Guyana",
		"hong_kong", "🇭🇰 flag: Hong Kong SAR China",
		"heard_mcdonald_islands", "🇭🇲 flag: Heard & McDonald Islands",
		"honduras", "🇭🇳 flag: Honduras",
		"croatia", "🇭🇷 flag: Croatia",
		"haiti", "🇭🇹 flag: Haiti",
		"hungary", "🇭🇺 flag: Hungary",
		"canary_islands", "🇮🇨 flag: Canary Islands",
		"indonesia", "🇮🇩 flag: Indonesia",
		"ireland", "🇮🇪 flag: Ireland",
		"israel", "🇮🇱 flag: Israel",
		"isle_of_man", "🇮🇲 flag: Isle of Man",
		"india", "🇮🇳 flag: India",
		"british_indian_ocean_territory", "🇮🇴 flag: British Indian Ocean Territory",
		"iraq", "🇮🇶 flag: Iraq",
		"iran", "🇮🇷 flag: Iran",
		"iceland", "🇮🇸 flag: Iceland",
		"it", "🇮🇹 flag: Italy",
		"jersey", "🇯🇪 flag: Jersey",
		"jamaica", "🇯🇲 flag: Jamaica",
		"jordan", "🇯🇴 flag: Jordan",
		"jp", "🇯🇵 flag: Japan",
		"kenya", "🇰🇪 flag: Kenya",
		"kyrgyzstan", "🇰🇬 flag: Kyrgyzstan",
		"cambodia", "🇰🇭 flag: Cambodia",
		"kiribati", "🇰🇮 flag: Kiribati",
		"comoros", "🇰🇲 flag: Comoros",
		"st_kitts_nevis", "🇰🇳 flag: St. Kitts & Nevis",
		"north_korea", "🇰🇵 flag: North Korea",
		"kr", "🇰🇷 flag: South Korea",
		"kuwait", "🇰🇼 flag: Kuwait",
		"cayman_islands", "🇰🇾 flag: Cayman Islands",
		"kazakhstan", "🇰🇿 flag: Kazakhstan",
		"laos", "🇱🇦 flag: Laos",
		"lebanon", "🇱🇧 flag: Lebanon",
		"st_lucia", "🇱🇨 flag: St. Lucia",
		"liechtenstein", "🇱🇮 flag: Liechtenstein",
		"sri_lanka", "🇱🇰 flag: Sri Lanka",
		"liberia", "🇱🇷 flag: Liberia",
		"lesotho", "🇱🇸 flag: Lesotho",
		"lithuania", "🇱🇹 flag: Lithuania",
		"luxembourg", "🇱🇺 flag: Luxembourg",
		"latvia", "🇱🇻 flag: Latvia",
		"libya", "🇱🇾 flag: Libya",
		"morocco", "🇲🇦 flag: Morocco",
		"monaco", "🇲🇨 flag: Monaco",
		"moldova", "🇲🇩 flag: Moldova",
		"montenegro", "🇲🇪 flag: Montenegro",
		"st_martin", "🇲🇫 flag: St. Martin",
		"madagascar", "🇲🇬 flag: Madagascar",
		"marshall_islands", "🇲🇭 flag: Marshall Islands",
		"macedonia", "🇲🇰 flag: North Macedonia",
		"mali", "🇲🇱 flag: Mali",
		"myanmar", "🇲🇲 flag: Myanmar (Burma)",
		"mongolia", "🇲🇳 flag: Mongolia",
		"macau", "🇲🇴 flag: Macao SAR China",
		"northern_mariana_islands", "🇲🇵 flag: Northern Mariana Islands",
		"martinique", "🇲🇶 flag: Martinique",
		"mauritania", "🇲🇷 flag: Mauritania",
		"montserrat", "🇲🇸 flag: Montserrat",
		"malta", "🇲🇹 flag: Malta",
		"mauritius", "🇲🇺 flag: Mauritius",
		"maldives", "🇲🇻 flag: Maldives",
		"malawi", "🇲🇼 flag: Malawi",
		"mexico", "🇲🇽 flag: Mexico",
		"malaysia", "🇲🇾 flag: Malaysia",
		"mozambique", "🇲🇿 flag: Mozambique",
		"namibia", "🇳🇦 flag: Namibia",
		"new_caledonia", "🇳🇨 flag: New Caledonia",
		"niger", "🇳🇪 flag: Niger",
		"norfolk_island", "🇳🇫 flag: Norfolk Island",
		"nigeria", "🇳🇬 flag: Nigeria",
		"nicaragua", "🇳🇮 flag: Nicaragua",
		"netherlands", "🇳🇱 flag: Netherlands",
		"norway", "🇳🇴 flag: Norway",
		"nepal", "🇳🇵 flag: Nepal",
		"nauru", "🇳🇷 flag: Nauru",
		"niue", "🇳🇺 flag: Niue",
		"new_zealand", "🇳🇿 flag: New Zealand",
		"oman", "🇴🇲 flag: Oman",
		"panama", "🇵🇦 flag: Panama",
		"peru", "🇵🇪 flag: Peru",
		"french_polynesia", "🇵🇫 flag: French Polynesia",
		"papua_new_guinea", "🇵🇬 flag: Papua New Guinea",
		"philippines", "🇵🇭 flag: Philippines",
		"pakistan", "🇵🇰 flag: Pakistan",
		"poland", "🇵🇱 flag: Poland",
		"st_pierre_miquelon", "🇵🇲 flag: St. Pierre & Miquelon",
		"pitcairn_islands", "🇵🇳 flag: Pitcairn Islands",
		"puerto_rico", "🇵🇷 flag: Puerto Rico",
		"palestinian_territories", "🇵🇸 flag: Palestinian Territories",
		"portugal", "🇵🇹 flag: Portugal",
		"palau", "🇵🇼 flag: Palau",
		"paraguay", "🇵🇾 flag: Paraguay",
		"qatar", "🇶🇦 flag: Qatar",
		"reunion", "🇷🇪 flag: Réunion",
		"romania", "🇷🇴 flag: Romania",
		"serbia", "🇷🇸 flag: Serbia",
		"ru", "🇷🇺 flag: Russia",
		"rwanda", "🇷🇼 flag: Rwanda",
		"saudi_arabia", "🇸🇦 flag: Saudi Arabia",
		"solomon_islands", "🇸🇧 flag: Solomon Islands",
		"seychelles", "🇸🇨 flag: Seychelles",
		"sudan", "🇸🇩 flag: Sudan",
		"sweden", "🇸🇪 flag: Sweden",
		"singapore", "🇸🇬 flag: Singapore",
		"st_helena", "🇸🇭 flag: St. Helena",
		"slovenia", "🇸🇮 flag: Slovenia",
		"svalbard_jan_mayen", "🇸🇯 flag: Svalbard & Jan Mayen",
		"slovakia", "🇸🇰 flag: Slovakia",
		"sierra_leone", "🇸🇱 flag: Sierra Leone",
		"san_marino", "🇸🇲 flag: San Marino",
		"senegal", "🇸🇳 flag: Senegal",
		"somalia", "🇸🇴 flag: Somalia",
		"suriname", "🇸🇷 flag: Suriname",
		"south_sudan", "🇸🇸 flag: South Sudan",
		"sao_tome_principe", "🇸🇹 flag: São Tomé & Príncipe",
		"el_salvador", "🇸🇻 flag: El Salvador",
		"sint_maarten", "🇸🇽 flag: Sint Maarten",
		"syria", "🇸🇾 flag: Syria",
		"swaziland", "🇸🇿 flag: Eswatini",
		"tristan_da_cunha", "🇹🇦 flag: Tristan da Cunha",
		"turks_caicos_islands", "🇹🇨 flag: Turks & Caicos Islands",
		"chad", "🇹🇩 flag: Chad",
		"french_southern_territories", "🇹🇫 flag: French Southern Territories",
		"togo", "🇹🇬 flag: Togo",
		"thailand", "🇹🇭 flag: Thailand",
		"tajikistan", "🇹🇯 flag: Tajikistan",
		"tokelau", "🇹🇰 flag: Tokelau",
		"timor_leste", "🇹🇱 flag: Timor-Leste",
		"turkmenistan", "🇹🇲 flag: Turkmenistan",
		"tunisia", "🇹🇳 flag: Tunisia",
		"tonga", "🇹🇴 flag: Tonga",
		"tr", "🇹🇷 flag: Turkey",
		"trinidad_tobago", "🇹🇹 flag: Trinidad & Tobago",
		"tuvalu", "🇹🇻 flag: Tuvalu",
		"taiwan", "🇹🇼 flag: Taiwan",
		"tanzania", "🇹🇿 flag: Tanzania",
		"ukraine", "🇺🇦 flag: Ukraine",
		"uganda", "🇺🇬 flag: Uganda",
		"us_outlying_islands", "🇺🇲 flag: U.S. Outlying Islands",
		"united_nations", "🇺🇳 flag: United Nations",
		"us", "🇺🇸 flag: United States",
		"uruguay", "🇺🇾 flag: Uruguay",
		"uzbekistan", "🇺🇿 flag: Uzbekistan",
		"vatican_city", "🇻🇦 flag: Vatican City",
		"st_vincent_grenadines", "🇻🇨 flag: St. Vincent & Grenadines",
		"venezuela", "🇻🇪 flag: Venezuela",
		"british_virgin_islands", "🇻🇬 flag: British Virgin Islands",
		"us_virgin_islands", "🇻🇮 flag: U.S. Virgin Islands",
		"vietnam", "🇻🇳 flag: Vietnam",
		"vanuatu", "🇻🇺 flag: Vanuatu",
		"wallis_futuna", "🇼🇫 flag: Wallis & Futuna",
		"samoa", "🇼🇸 flag: Samoa",
		"kosovo", "🇽🇰 flag: Kosovo",
		"yemen", "🇾🇪 flag: Yemen",
		"mayotte", "🇾🇹 flag: Mayotte",
		"south_africa", "🇿🇦 flag: South Africa",
		"zambia", "🇿🇲 flag: Zambia",
		"zimbabwe", "🇿🇼 flag: Zimbabwe",
		"england", "🏴󠁧󠁢󠁥󠁮󠁧󠁿 flag: England",
		"scotland", "🏴󠁧󠁢󠁳󠁣󠁴󠁿 flag: Scotland",
		"wales", "🏴󠁧󠁢󠁷󠁬󠁳󠁿 flag: Wales",
	).Prefix(":").Suffix(":")
}
